<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Trailer StructType
 * @subpackage Structs
 */
class Insert_Trailer extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TrailerInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleInsert
     */
    public $TrailerInsert;
    /**
     * Constructor method for Insert_Trailer
     * @uses Insert_Trailer::setLogin()
     * @uses Insert_Trailer::setTrailerInsert()
     * @param \StructType\Login $login
     * @param \StructType\VehicleInsert $trailerInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleInsert $trailerInsert = null)
    {
        $this
            ->setLogin($login)
            ->setTrailerInsert($trailerInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Trailer
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TrailerInsert value
     * @return \StructType\VehicleInsert|null
     */
    public function getTrailerInsert()
    {
        return $this->TrailerInsert;
    }
    /**
     * Set TrailerInsert value
     * @param \StructType\VehicleInsert $trailerInsert
     * @return \StructType\Insert_Trailer
     */
    public function setTrailerInsert(\StructType\VehicleInsert $trailerInsert = null)
    {
        $this->TrailerInsert = $trailerInsert;
        return $this;
    }
}
